complexType "Compounding"

Namespace: | http://www.fpml.org/FpML-5/recordkeeping
Content: | complex, 4 elements
Defined: | globally in fpml-eq-shared-5-3.xsd; see XML source
Includes: | definitions of 4 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...>
Content: | compoundingMethod?, compoundingRate?, compoundingSpread?, compoundingDates?
</...>

Content Model Elements (4):

  compoundingDates, compoundingMethod (in compounding in interestCalculation), | compoundingRate, compoundingSpread

All Direct / Indirect Based Elements (1):

  compounding (in interestCalculation)

Known Usage Locations

- As direct type of elements (1):
  compounding (in interestCalculation)

Annotation
Specifies the compounding method and the compounding rate.
XML Source (w/o annotations (5); see within schema source)

<xsd:complexType name="Compounding"> <xsd:sequence> <xsd:element minOccurs="0" name="compoundingMethod" type="CompoundingMethodEnum"/> <xsd:element minOccurs="0" name="compoundingRate" type="CompoundingRate"/> <xsd:element minOccurs="0" name="compoundingSpread" type="xsd:decimal"/> <xsd:element minOccurs="0" name="compoundingDates" type="AdjustableRelativeOrPeriodicDates2"/> </xsd:sequence> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 4/4)
compoundingDates

  Type: | AdjustableRelativeOrPeriodicDates2, complex content

  Defines the compounding dates.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="compoundingDates" type="AdjustableRelativeOrPeriodicDates2"/>

compoundingMethod

  Type: | CompoundingMethodEnum, simple content

  If more that one calculation period contributes to a single payment amount this element specifies whether compounding is applicable, and if so, what compounding method is to be used. This element must only be included when more that one calculation period contributes to a single payment amount.
  Simple Content

  enumeration of xsd:token

  Enumeration: |
  "Flat" | - | Flat compounding. Compounding excludes the spread. Note that the first compounding period has it's interest calculated including any spread then subsequent periods compound this at a rate excluding the spread. See: http://www.FpML.org
  "None" | - | No compounding is to be applied. See: http://www.FpML.org
  "Straight" | - | Straight compounding. Compounding includes the spread. See: http://www.FpML.org
  "SpreadExclusive" | - | Spread Exclusive compounding. See: http://www.FpML.org

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="compoundingMethod" type="CompoundingMethodEnum"/>

compoundingRate

  Type: | CompoundingRate, complex content

  Defines a compounding rate. The compounding interest can either point back to the interest calculation node on the Interest Leg, or be defined specifically.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="compoundingRate" type="CompoundingRate"/>

compoundingSpread

  Type: | xsd:decimal, predefined, simple content

  Defines the spread to be used for compounding. This field should be used in scenarios where the interest payment is based on a compounding formula that uses a compounding spread in addition to the regular spread.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="compoundingSpread" type="xsd:decimal"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.